[arch-commits] CVS update of core/base/gcc-libs (3 files)

Jan de Groot jgc at archlinux.org
Sat Mar 8 20:10:07 UTC 2008


    Date: Saturday, March 8, 2008 @ 15:10:07
  Author: jgc
    Path: /home/cvs-core/core/base/gcc-libs

Modified: PKGBUILD (1.9 -> 1.10) gcc-hash-style-both.patch (1.1 -> 1.2)
          gcc_pure64.patch (1.1 -> 1.2)

upgpkg: gcc-libs 4.3.0-1


---------------------------+
 PKGBUILD                  |   30 ++++++--------
 gcc-hash-style-both.patch |   89 ++++++++++++++++++++++++++++----------------
 gcc_pure64.patch          |    2 
 3 files changed, 72 insertions(+), 49 deletions(-)


Index: core/base/gcc-libs/PKGBUILD
diff -u core/base/gcc-libs/PKGBUILD:1.9 core/base/gcc-libs/PKGBUILD:1.10
--- core/base/gcc-libs/PKGBUILD:1.9	Thu Feb  7 18:44:52 2008
+++ core/base/gcc-libs/PKGBUILD	Sat Mar  8 15:10:06 2008
@@ -1,8 +1,8 @@
-# $Id: PKGBUILD,v 1.9 2008/02/07 23:44:52 jgc Exp $
+# $Id: PKGBUILD,v 1.10 2008/03/08 20:10:06 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 pkgname=gcc-libs
-pkgver=4.2.3
-pkgrel=3
+pkgver=4.3.0
+pkgrel=1
 #_snapshot=4.2.3-RC-20080125
 pkgdesc="Runtime libraries shipped by GCC for C and C++ languages"
 arch=(i686 x86_64)
@@ -12,20 +12,18 @@
 depends=('glibc>=2.7')
 makedepends=('binutils>=2.18-3' 'gcc>=4.2.2' 'mpfr>=2.3.1' 'texinfo')
 conflicts=('gcc-fortran' 'gcc-objc')
-provides=("gcc-fortran=${pkgver}" "gcc-objc=${pkgver}")
+provides=("gcc-objc=${pkgver}")
 options=('!libtool' '!emptydirs')
 source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,g++,fortran,objc}-${pkgver}.tar.bz2
 	#ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-{core,g++,fortran,objc}-${_snapshot}.tar.bz2
 	gcc_pure64.patch
-	gcc-hash-style-both.patch
-	libgomp-dlopen-fix.patch)
-md5sums=('780338e27c460545870434851199b534'
-         'a028c39386dae7d16299b3c96a281116'
-         '03e48107cde9d0cafa8d281b26045086'
-         '0c81e6acf609ef0318e91bdb0d84cd6c'
-         '8fc86e4c4d1f4ec8b226307d39fbd9e3'
-         '611fbd749019f0ce2fad36fda17e93dd'
-         'af989249a4a72f6251ed72e51318b5e0')
+	gcc-hash-style-both.patch)
+md5sums=('b1dc085dea8019cb92d4ee793562d1e4'
+         '18eb135121f6e8190005e5a7e5ba2602'
+         'f4211b970e7ebbf560bb2848742e5e43'
+         '0c8136edbe4dc790ff209344791f3ad9'
+         '4030ee1c08dd1e843c0225b772360e76'
+         'bb420bc84b1104455b7230b1cd4b96c2')
 
 build() {
   if ! locale -a | grep ^de_DE; then
@@ -42,12 +40,10 @@
     patch -Np1 -i ../gcc_pure64.patch || return 1
   fi
   patch -Np0 -i ${startdir}/src/gcc-hash-style-both.patch || return 1
-  patch -Np1 -i ${startdir}/src/libgomp-dlopen-fix.patch || return 1
+
   # Don't run fixincludes
   sed -i -e 's@\./fixinc\.sh at -c true@' gcc/Makefile.in
 
-  #echo ${pkgver} > gcc/BASE-VER
-
   mkdir build
   cd build
   ../configure --prefix=/usr --enable-shared \
@@ -56,7 +52,7 @@
       --libexecdir=/usr/lib --enable-clocale=gnu --disable-libstdcxx-pch \
       --with-tune=generic
   make || return 1
-  make -j1 DESTDIR=${startdir}/pkg install-target-libstdc++-v3 install-target-libmudflap install-target-libgomp install-target-libssp install-target-libgfortran install-target-libobjc || return 1
+  make -j1 DESTDIR=${startdir}/pkg install-target-libstdc++-v3 install-target-libmudflap install-target-libgomp install-target-libssp install-target-libgfortran install-target-libobjc install-target-libgcc || return 1
 
   # Cleanup, libgomp installs the whole compiler it seems...
   rm -rf ${startdir}/pkg/usr/include
Index: core/base/gcc-libs/gcc-hash-style-both.patch
diff -u core/base/gcc-libs/gcc-hash-style-both.patch:1.1 core/base/gcc-libs/gcc-hash-style-both.patch:1.2
--- core/base/gcc-libs/gcc-hash-style-both.patch:1.1	Sat Sep 15 08:44:12 2007
+++ core/base/gcc-libs/gcc-hash-style-both.patch	Sat Mar  8 15:10:07 2008
@@ -1,3 +1,30 @@
+#! /bin/sh -e
+
+# DP: Link using --hash-style=both (alpha, amd64, ia64, i386, powerpc, ppc64, s390, sparc)
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+    pdir="-d $3"
+    dir="$3/"
+elif [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch)
+        patch $pdir -f --no-backup-if-mismatch -p0 < $0
+        #cd ${dir}gcc && autoconf
+        ;;
+    -unpatch)
+        patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+        #rm ${dir}gcc/configure
+        ;;
+    *)
+        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+        exit 1
+esac
+exit 0
+
 2006-07-11  Jakub Jelinek  <jakub at redhat.com>
 
 	* config/i386/linux.h (LINK_SPEC): Add --hash-style=both.
@@ -12,9 +39,9 @@
 	LINK_ARCH64_SPEC): Likewise.
 	* config/alpha/linux-elf.h (LINK_SPEC): Likewise.
 
---- gcc/config/alpha/linux-elf.h.orig	2006-12-11 13:02:43.396229000 +0100
-+++ gcc/config/alpha/linux-elf.h	2006-12-11 13:03:10.336229000 +0100
-@@ -40,7 +40,7 @@
+--- gcc/config/alpha/linux-elf.h.orig	2007-08-04 08:55:58.000000000 +0200
++++ gcc/config/alpha/linux-elf.h	2007-09-01 15:47:26.605865578 +0200
+@@ -39,7 +39,7 @@
  
  #define ELF_DYNAMIC_LINKER	LINUX_DYNAMIC_LINKER
  
@@ -23,9 +50,9 @@
    %{O*:-O3} %{!O*:-O1}						\
    %{shared:-shared}						\
    %{!shared:							\
---- gcc/config/s390/linux.h.orig	2006-12-11 13:02:43.396229000 +0100
-+++ gcc/config/s390/linux.h	2006-12-11 13:03:10.336229000 +0100
-@@ -78,7 +78,7 @@
+--- gcc/config/s390/linux.h.orig	2007-08-04 08:55:59.000000000 +0200
++++ gcc/config/s390/linux.h	2007-09-01 15:47:26.605865578 +0200
+@@ -77,7 +77,7 @@
  
  #undef  LINK_SPEC
  #define LINK_SPEC \
@@ -34,9 +61,9 @@
     %{shared:-shared} \
     %{!shared: \
        %{static:-static} \
---- gcc/config/sparc/linux.h.orig	2006-12-11 13:02:43.396229000 +0100
-+++ gcc/config/sparc/linux.h	2006-12-11 13:03:10.336229000 +0100
-@@ -133,7 +133,7 @@
+--- gcc/config/sparc/linux.h.orig	2007-08-04 08:56:01.000000000 +0200
++++ gcc/config/sparc/linux.h	2007-09-01 15:47:26.605865578 +0200
+@@ -132,7 +132,7 @@
  
  
  #undef  LINK_SPEC
@@ -45,9 +72,9 @@
    %{!mno-relax:%{!r:-relax}} \
    %{!shared: \
      %{!ibcs: \
---- gcc/config/sparc/linux64.h.orig	2006-12-11 13:02:43.396229000 +0100
-+++ gcc/config/sparc/linux64.h	2006-12-11 13:03:10.336229000 +0100
-@@ -167,7 +167,7 @@
+--- gcc/config/sparc/linux64.h.orig	2007-08-04 08:56:01.000000000 +0200
++++ gcc/config/sparc/linux64.h	2007-09-01 15:47:26.605865578 +0200
+@@ -166,7 +166,7 @@
    { "link_arch_default", LINK_ARCH_DEFAULT_SPEC },	  \
    { "link_arch",	 LINK_ARCH_SPEC },
  
@@ -56,7 +83,7 @@
    %{!shared: \
      %{!ibcs: \
        %{!static: \
-@@ -176,7 +176,7 @@
+@@ -175,7 +175,7 @@
          %{static:-static}}} \
  "
  
@@ -65,7 +92,7 @@
    %{!shared: \
      %{!ibcs: \
        %{!static: \
-@@ -257,7 +257,7 @@
+@@ -256,7 +256,7 @@
  #else /* !SPARC_BI_ARCH */
  
  #undef LINK_SPEC
@@ -74,9 +101,9 @@
    %{!shared: \
      %{!ibcs: \
        %{!static: \
---- gcc/config/i386/linux.h.orig	2006-12-11 13:02:43.396229000 +0100
-+++ gcc/config/i386/linux.h	2006-12-11 13:03:10.336229000 +0100
-@@ -109,7 +109,7 @@
+--- gcc/config/i386/linux.h.orig	2007-08-04 08:56:07.000000000 +0200
++++ gcc/config/i386/linux.h	2007-09-01 15:47:26.605865578 +0200
+@@ -108,7 +108,7 @@
    { "dynamic_linker", LINUX_DYNAMIC_LINKER }
  
  #undef	LINK_SPEC
@@ -85,19 +112,19 @@
    %{!shared: \
      %{!ibcs: \
        %{!static: \
---- gcc/config/i386/linux64.h.orig	2006-12-11 13:02:43.396229000 +0100
-+++ gcc/config/i386/linux64.h	2006-12-11 13:03:51.046229000 +0100
-@@ -53,7 +53,7 @@
- #define GLIBC_DYNAMIC_LINKER64 "/lib64/ld-linux-x86-64.so.2"
+--- gcc/config/i386/linux64.h.orig	2007-08-04 08:56:07.000000000 +0200
++++ gcc/config/i386/linux64.h	2007-09-01 15:48:27.336781690 +0200
+@@ -65,7 +65,7 @@
+ #endif
  
  #undef	LINK_SPEC
--#define LINK_SPEC "%{!m32:-m elf_x86_64} %{m32:-m elf_i386} \
-+#define LINK_SPEC "%{!m32:-m elf_x86_64} %{m32:-m elf_i386} --hash-style=both \
+-#define LINK_SPEC "%{" SPEC_64 ":-m elf_x86_64} %{" SPEC_32 ":-m elf_i386} \
++#define LINK_SPEC "%{" SPEC_64 ":-m elf_x86_64} %{" SPEC_32 ":-m elf_i386} --hash-style=both \
    %{shared:-shared} \
    %{!shared: \
      %{!static: \
---- gcc/config/ia64/linux.h.orig	2006-12-11 13:02:43.406229000 +0100
-+++ gcc/config/ia64/linux.h	2006-12-11 13:03:10.346229000 +0100
+--- gcc/config/ia64/linux.h.orig	2006-12-12 18:59:53.000000000 +0100
++++ gcc/config/ia64/linux.h	2007-09-01 15:47:26.605865578 +0200
 @@ -40,7 +40,7 @@
  #define GLIBC_DYNAMIC_LINKER "/lib/ld-linux-ia64.so.2"
  
@@ -107,9 +134,9 @@
    %{shared:-shared} \
    %{!shared: \
      %{!static: \
---- gcc/config/rs6000/sysv4.h.orig	2006-12-11 13:02:43.406229000 +0100
-+++ gcc/config/rs6000/sysv4.h	2006-12-11 13:03:10.346229000 +0100
-@@ -908,7 +908,7 @@
+--- gcc/config/rs6000/sysv4.h.orig	2007-08-08 23:37:49.000000000 +0200
++++ gcc/config/rs6000/sysv4.h	2007-09-01 15:47:26.615865729 +0200
+@@ -901,7 +901,7 @@
  #define LINUX_DYNAMIC_LINKER \
    CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER, UCLIBC_DYNAMIC_LINKER)
  
@@ -118,9 +145,9 @@
    %{rdynamic:-export-dynamic} \
    %{!dynamic-linker:-dynamic-linker " LINUX_DYNAMIC_LINKER "}}}"
  
---- gcc/config/rs6000/linux64.h.orig	2006-12-11 13:02:43.406229000 +0100
-+++ gcc/config/rs6000/linux64.h	2006-12-11 13:03:10.346229000 +0100
-@@ -351,11 +351,11 @@
+--- gcc/config/rs6000/linux64.h.orig	2007-08-04 08:56:12.000000000 +0200
++++ gcc/config/rs6000/linux64.h	2007-09-01 15:47:26.615865729 +0200
+@@ -354,11 +354,11 @@
    CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER64, UCLIBC_DYNAMIC_LINKER64)
  
  
Index: core/base/gcc-libs/gcc_pure64.patch
diff -u core/base/gcc-libs/gcc_pure64.patch:1.1 core/base/gcc-libs/gcc_pure64.patch:1.2
--- core/base/gcc-libs/gcc_pure64.patch:1.1	Sat Sep 15 08:44:12 2007
+++ core/base/gcc-libs/gcc_pure64.patch	Sat Mar  8 15:10:07 2008
@@ -19,7 +19,7 @@
  
  MULTILIB_OPTIONS = m64/m32
  MULTILIB_DIRNAMES = 64 32 
--MULTILIB_OSDIRNAMES = ../lib64 ../lib
+-MULTILIB_OSDIRNAMES = ../lib64 $(if $(wildcard $(shell echo $(SYSTEM_HEADER_DIR))/../../usr/lib32),../lib32,../lib)
 +MULTILIB_OSDIRNAMES = ../lib ../lib32
  
  LIBGCC = stmp-multilib




More information about the arch-commits mailing list